petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscQuadratureSetNumComponents

Return the number of components for functions to be integrated

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureSetNumComponents(PetscQuadrature q, PetscInt Nc)

Not collective

### Input Parameters

| q | - The PetscQuadrature object
| Nc | - The number of components

Note: We are performing an integral int f(x) . w(x) dx, where both f and w (the weight) have Nc components.

### See Also

PetscQuadratureGetNumComponents(), PetscQuadratureGetData(), PetscQuadratureSetData()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages